
#ifndef HAPPY_H
#define HAPPY_H

#include "population.h"

typedef struct happy_s happy_t;

happy_t *happy_init(void);
void happy_free(happy_t *happy);

int happy_calc_person(happy_t *happy, person_t *person);

extern void
happy_up(person_t *person, int n, happy_reason_t reason);
extern void
happy_down(person_t *person, int n, happy_reason_t reason);
extern void
happy_upto(person_t *person, int to, int n, happy_reason_t reason);
extern void
happy_downto(person_t *person, int to, int n, happy_reason_t reason);

#endif /* HAPPY_H */
